import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Label } from "@react-components/label";
import { SignoutIcon } from "@react-components/icons";
import { Tag } from "@react-components/tag";
import { cloneElement } from "react";

function Button(_ref) {
  let {
    element
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["element"]);

  return cloneElement(element, rest);
}

function Icons(_ref2) {
  let {
    element
  } = _ref2,
      rest = _objectWithoutProperties(_ref2, ["element"]);

  const button = cloneElement(element, rest);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    element: button
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    active: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    disabled: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, {
      className: "fill-red"
    }),
    element: button
  }, "Button")));
}

function Loadings(_ref3) {
  let {
    element
  } = _ref3,
      rest = _objectWithoutProperties(_ref3, ["element"]);

  const button = cloneElement(element, rest);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    loading: true,
    element: button,
    className: "mr5"
  }, "AA"), /*#__PURE__*/React.createElement(Button, {
    active: true,
    loading: true,
    element: button,
    className: "mr5"
  }, "AA"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    loading: true,
    element: button,
    className: "mr5"
  }, "AA"), /*#__PURE__*/React.createElement(Button, {
    loading: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    loading: true,
    element: button,
    className: "mr5"
  }, "AA"), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    loading: true,
    element: button
  }, "AA")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    loading: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    loading: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    loading: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    loading: true,
    element: button
  }, "Aa")));
}

function Labels(_ref4) {
  let {
    element
  } = _ref4,
      rest = _objectWithoutProperties(_ref4, ["element"]);

  const button = cloneElement(element, rest);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    active: true,
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    label: /*#__PURE__*/React.createElement(Label, {
      className: "bg-red"
    }, "6"),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    label: /*#__PURE__*/React.createElement(Label, null, "6"),
    loading: true,
    element: button
  }, "Button")));
}

function Tags(_ref5) {
  let {
    element
  } = _ref5,
      rest = _objectWithoutProperties(_ref5, ["element"]);

  const button = cloneElement(element, rest);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Button, {
    active: true,
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    tag: /*#__PURE__*/React.createElement(Tag, {
      className: "bg-red"
    }),
    loading: true,
    element: button
  }, "Button")));
}

export function createSharedStories(button, stories) {
  return stories.add("default", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column mr8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    active: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    className: "bg-red mr5",
    element: button
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    style: {
      backgroundColor: "red"
    },
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    element: button
  }, "Button")), /*#__PURE__*/React.createElement(Icons, {
    element: button
  }), /*#__PURE__*/React.createElement(Loadings, {
    element: button
  }), /*#__PURE__*/React.createElement(Labels, {
    element: button
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement(Tags, {
    element: button
  })))).add("ghost", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column mr8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    ghost: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    active: true,
    ghost: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    ghost: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    className: "bg-red",
    ghost: true,
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    ghost: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    ghost: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    ghost: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    ghost: true,
    element: button
  }, "Button")), /*#__PURE__*/React.createElement(Icons, {
    ghost: true,
    element: button
  }), /*#__PURE__*/React.createElement(Loadings, {
    ghost: true,
    element: button
  }), /*#__PURE__*/React.createElement(Labels, {
    ghost: true,
    element: button
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement(Tags, {
    ghost: true,
    element: button
  })))).add("basic", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column mr8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    basic: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    active: true,
    basic: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    basic: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    className: "bg-red",
    basic: true,
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    basic: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    basic: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    basic: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    basic: true,
    element: button
  }, "Button")), /*#__PURE__*/React.createElement(Icons, {
    basic: true,
    element: button
  }), /*#__PURE__*/React.createElement(Loadings, {
    basic: true,
    element: button
  }), /*#__PURE__*/React.createElement(Labels, {
    basic: true,
    element: button
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement(Tags, {
    basic: true,
    element: button
  })))).add("compact", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column mr8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    compact: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    active: true,
    compact: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    compact: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    className: "bg-red",
    compact: true,
    element: button
  }, "Button")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    compact: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    compact: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    compact: true,
    element: button,
    className: "mr5"
  }, "Button"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    compact: true,
    element: button
  }, "Button")), /*#__PURE__*/React.createElement(Icons, {
    compact: true,
    element: button
  }), /*#__PURE__*/React.createElement(Loadings, {
    compact: true,
    element: button
  }), /*#__PURE__*/React.createElement(Labels, {
    compact: true,
    element: button
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement(Tags, {
    compact: true,
    element: button
  })))).add("circular", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    circular: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    active: true,
    circular: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    disabled: true,
    circular: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    className: "bg-red",
    circular: true,
    element: button
  }, "Aa")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    circular: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    circular: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    circular: true,
    element: button,
    className: "mr5"
  }, "Aa"), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    circular: true,
    element: button
  }, "Aa")), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    circular: true,
    element: button
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex items-end mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    size: "tiny",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    size: "large",
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    iconPosition: "right",
    circular: true,
    element: button
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex mb5"
  }, /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    active: true,
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, null),
    disabled: true,
    circular: true,
    element: button,
    className: "mr5"
  }), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(SignoutIcon, {
      className: "fill-red"
    }),
    circular: true,
    element: button
  })), /*#__PURE__*/React.createElement(Loadings, {
    circular: true,
    element: button
  })));
}