import React from "react";
import { Button } from "@react-components/button";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createSharedStories } from "./shared-stories";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Button Group")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

createSharedStories( /*#__PURE__*/React.createElement(Button.Group, null), stories("/standard"));
createSharedStories( /*#__PURE__*/React.createElement(Button.Group, {
  primary: true
}), stories("/primary"));
createSharedStories( /*#__PURE__*/React.createElement(Button.Group, {
  secondary: true
}), stories("/secondary"));
createSharedStories( /*#__PURE__*/React.createElement(Button.Group, {
  positive: true
}), stories("/positive"));
createSharedStories( /*#__PURE__*/React.createElement(Button.Group, {
  negative: true
}), stories("/negative"));
createSharedStories( /*#__PURE__*/React.createElement(Button.Group, {
  basic: true
}), stories("/basic"));