import React from "react";
import { Checkbox } from "@react-components/checkbox";
import { Count } from "@react-components/count";
import { Label } from "@react-components/label";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createSharedStories } from "./shared-stories";
import { isNil } from "lodash";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Checkbox")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

createSharedStories( /*#__PURE__*/React.createElement(Checkbox, null), stories("/unchecked"));
createSharedStories( /*#__PURE__*/React.createElement(Checkbox, {
  defaultChecked: true
}), stories("/checked"));
createSharedStories( /*#__PURE__*/React.createElement(Checkbox, {
  defaultIndeterminate: true
}), stories("/indeterminate"));

function setRedBackground(element) {
  if (!isNil(element)) {
    element.classList.add("bg-red");
  }
}

stories("/label").add("element ref", () => /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  label: /*#__PURE__*/React.createElement(Label, {
    ref: setRedBackground
  }, "6")
})).add("object", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  label: {
    content: "6"
  },
  className: "mr5"
}), /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  label: {
    content: "6",
    className: "bg-red"
  },
  className: "mr5"
}), /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  label: {
    content: "6",
    ref: setRedBackground
  }
})));
stories("/count").add("element ref", () => /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  count: /*#__PURE__*/React.createElement(Count, {
    ref: setRedBackground
  }, "6")
})).add("object", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  count: {
    content: "6"
  },
  className: "mr5"
}), /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  count: {
    content: "6",
    className: "bg-red"
  },
  className: "mr5"
}), /*#__PURE__*/React.createElement(Checkbox, {
  text: "Milky Way",
  count: {
    content: "6",
    ref: setRedBackground
  }
})));