import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { DropdownContext } from "./context";
import { Dropdown as SemanticDropdown } from "semantic-ui-react";
import { createIconForControl } from "../../icons";
import { element } from "prop-types";
import { isNil } from "lodash";
import { useContext } from "react";
const propTypes = {
  icon: element
};
export function DropdownItem(props) {
  const {
    icon
  } = props,
        rest = _objectWithoutProperties(props, ["icon"]);

  const context = useContext(DropdownContext);

  const renderIcon = () => {
    if (!isNil(icon)) {
      return createIconForControl(icon, context.size);
    }
  };

  return /*#__PURE__*/React.createElement(SemanticDropdown.Item, Object.assign({
    icon: renderIcon()
  }, rest));
}
DropdownItem.displayName = "DropdownItem";
DropdownItem.propTypes = propTypes;
export function createDropdownItem(props) {
  return /*#__PURE__*/React.createElement(DropdownItem, props);
}
createDropdownItem.displayName = "createDropdownItem";