import React from "react";
import { Button } from "@react-components/button";
import { CloseIcon, MagnifierIcon } from "@react-components/icons";
import { Input } from "@react-components/input";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { isNil } from "lodash"; // TODO: variations doesn't make sense right now since error is also variations and are part of default & transparent stories.

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Input")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement(Input, null)).add("placeholder", () => /*#__PURE__*/React.createElement(Input, {
  placeholder: "Search..."
})).add("value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  value: "SpaceX will win the race!",
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  placeholder: "Search..."
}))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Search..."
})), /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true,
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  disabled: true,
  placeholder: "Search..."
})), /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  loading: true,
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  loading: true,
  placeholder: "Search..."
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Search...",
  className: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Search...",
  className: "mr5"
})))).add("focus", () => /*#__PURE__*/React.createElement(Input, {
  focus: true,
  placeholder: "Search..."
})).add("disabled", () => /*#__PURE__*/React.createElement(Input, {
  disabled: true,
  placeholder: "Search..."
})).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  loading: true,
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  loading: true,
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  loading: true,
  placeholder: "Search..."
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  loading: true,
  iconPosition: "left",
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  loading: true,
  iconPosition: "left",
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  loading: true,
  iconPosition: "left",
  placeholder: "Search..."
})))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "mb5"
}, /*#__PURE__*/React.createElement(Input, {
  fluid: true,
  placeholder: "Search..."
})), /*#__PURE__*/React.createElement("div", {
  className: "w-10"
}, /*#__PURE__*/React.createElement(Input, {
  fluid: true,
  placeholder: "Search..."
})))).add("error", () => /*#__PURE__*/React.createElement(Input, {
  error: true,
  placeholder: "Search..."
})).add("transparent", () => /*#__PURE__*/React.createElement(Input, {
  transparent: true,
  placeholder: "Search..."
})).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Input, {
  placeholder: "Search...",
  size: "small",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  placeholder: "Search...",
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  size: "small",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  size: "large"
})))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  className: "border-red mr5"
}), /*#__PURE__*/React.createElement(Input, {
  style: {
    border: "1px solid red"
  }
})));

function setRedBackground(element) {
  if (!isNil(element)) {
    element.classList.add("bg-red");
  }
}

stories("/button").add("element ref", () => /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null),
    ref: setRedBackground
  })
})).add("object", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  button: {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  },
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  button: {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null),
    className: "bg-red"
  },
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  button: {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null),
    ref: setRedBackground
  }
}))).add("disabled", () => /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  disabled: true
})).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  loading: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(CloseIcon, null),
  loading: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(CloseIcon, null),
  loading: true,
  iconPosition: "left"
}))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  className: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  })
})));