import React from "react";
import { Button } from "@react-components/button";
import { CloseIcon, LightbulbIcon } from "@react-components/icons";
import { Label } from "@react-components/label";
import { Tag } from "@react-components/tag";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createSharedStories } from "./shared-stories";
import { isNil } from "lodash";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Label")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

createSharedStories( /*#__PURE__*/React.createElement(Label, null), stories("/standard"));
createSharedStories( /*#__PURE__*/React.createElement(Label, {
  basic: true
}), stories("/basic"));
createSharedStories( /*#__PURE__*/React.createElement(Label, {
  naked: true
}), stories("/naked")).add("coloured", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column items-start"
}, /*#__PURE__*/React.createElement(Label, {
  naked: true,
  style: {
    backgroundColor: "#FFF6E7",
    color: "var(--marine-500)",
    border: "1px solid #FEE9C3"
  },
  className: "mb5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  circular: true,
  naked: true,
  style: {
    backgroundColor: "#FFF6E7",
    color: "var(--marine-500)",
    border: "1px solid #FEE9C3"
  }
}, "R")));
stories("/compact").add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  highlight: true,
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  className: "bg-red mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  style: {
    backgroundColor: "red"
  }
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large"
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right"
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
})), /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, {
    className: "fill-red"
  })
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  })
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right",
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large",
  tag: /*#__PURE__*/React.createElement(Tag, {
    className: "bg-red"
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  iconPosition: "right"
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  })
}, "Notification Sent")), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "mini",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "tiny",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "small",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  compact: true,
  size: "large",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
}, "Notification Sent"))));

function setRedBackground(element) {
  if (!isNil(element)) {
    element.classList.add("bg-red");
  }
}

stories("/button").add("element ref", () => /*#__PURE__*/React.createElement(Label, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
    className: "bg-red"
  }),
  className: "mr5"
}, "Notification Sent")).add("object", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Label, {
  button: {
    icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
  },
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  button: {
    icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
    className: "bg-red"
  },
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  button: {
    icon: /*#__PURE__*/React.createElement(LightbulbIcon, null),
    ref: setRedBackground
  }
}, "Notification Sent")));
stories("/tag").add("element ref", () => /*#__PURE__*/React.createElement(Label, {
  tag: /*#__PURE__*/React.createElement(Tag, {
    ref: setRedBackground
  })
}, "Notification Sent")).add("object", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Label, {
  tag: {
    className: "bg-red"
  },
  className: "mr5"
}, "Notification Sent"), /*#__PURE__*/React.createElement(Label, {
  tag: {
    ref: setRedBackground
  }
}, "Notification Sent")));