import React from "react";
import { ITEM_SHAPE, MultiSelect } from "@react-components/multi-select";
import { PureComponent } from "react";
import { arrayOf, bool, shape, string } from "prop-types";
import { isNil } from "lodash";
export class ControlledMultiSelect extends PureComponent {
  constructor(...args) {
    super(...args);
    this.state = {
      values: this.props.values,
      open: this.props.open
    };

    this.handleValuesChange = (event, values) => {
      const {
        onValuesChange
      } = this.props;
      this.setState({
        values
      });
      onValuesChange(event, values);
    };

    this.handleVisibilityChange = (event, open) => {
      this.setState({
        open
      });
    };
  }

  render() {
    const {
      items
    } = this.props;
    const {
      values,
      open
    } = this.state;
    const style = {
      width: "80px"
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "mb6"
    }, /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: style
    }, "values:"), " ", isNil(values) ? "null" : JSON.stringify(values, null, 4)), /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: style
    }, "open:"), " ", open ? "true" : "false")), /*#__PURE__*/React.createElement(MultiSelect, {
      items: items,
      values: values,
      open: open,
      onVisibilityChange: this.handleVisibilityChange,
      onValuesChange: this.handleValuesChange
    }));
  }

}
ControlledMultiSelect.displayName = "ControlledMultiSelect";
ControlledMultiSelect.propTypes = {
  items: arrayOf(shape(ITEM_SHAPE)).isRequired,
  values: arrayOf(string),
  open: bool
};
ControlledMultiSelect.defaultProps = {
  open: false
};