import React from "react";
import { BOTTOM_CENTER, BOTTOM_LEFT, BOTTOM_RIGHT, TOP_CENTER, TOP_LEFT, TOP_RIGHT } from "@react-components/popup";
import { RedBoxPopup } from "@react-components/popup/stories/components";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Popup")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).chromaticPauseAnimationAtEnd().build()).build();
}

stories().add("close", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  closeOnBlur: false
})).add("open", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  defaultOpen: true,
  closeOnBlur: false
})).add("bottom left", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: BOTTOM_LEFT,
  defaultOpen: true,
  closeOnBlur: false
})).add("bottom center", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: BOTTOM_CENTER,
  defaultOpen: true,
  closeOnBlur: false
})).add("bottom right", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: BOTTOM_RIGHT,
  defaultOpen: true,
  closeOnBlur: false
})).add("top left", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: TOP_LEFT,
  defaultOpen: true,
  closeOnBlur: false
}), paramsBuilder().canvasLayout({
  marginTop: "150px"
}).build()).add("top center", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: TOP_CENTER,
  defaultOpen: true,
  closeOnBlur: false
}), paramsBuilder().canvasLayout({
  marginTop: "150px"
}).build()).add("top right", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: TOP_RIGHT,
  defaultOpen: true,
  closeOnBlur: false
}), paramsBuilder().canvasLayout({
  marginTop: "150px"
}).build());
stories("/offsets/bottom").add("left+positive", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: BOTTOM_LEFT,
  offsets: ["30px", "30px"],
  defaultOpen: true,
  closeOnBlur: false
})).add("left+negative", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: BOTTOM_LEFT,
  offsets: ["-30px", "-30px"],
  defaultOpen: true,
  closeOnBlur: false
})).add("right+positive", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: BOTTOM_RIGHT,
  offsets: ["30px", "30px"],
  defaultOpen: true,
  closeOnBlur: false
})).add("right+negative", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: BOTTOM_RIGHT,
  offsets: ["-30px", "-30px"],
  defaultOpen: true,
  closeOnBlur: false
}));
stories("/offsets/top").add("left+positive", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: TOP_LEFT,
  offsets: ["30px", "30px"],
  defaultOpen: true,
  closeOnBlur: false
}), paramsBuilder().canvasLayout({
  marginTop: "150px"
}).build()).add("left+negative", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: TOP_LEFT,
  offsets: ["-30px", "-30px"],
  defaultOpen: true,
  closeOnBlur: false
}), paramsBuilder().canvasLayout({
  marginTop: "150px"
}).build()).add("right+positive", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: TOP_RIGHT,
  offsets: ["30px", "30px"],
  defaultOpen: true,
  closeOnBlur: false
}), paramsBuilder().canvasLayout({
  marginTop: "150px"
}).build()).add("right+negative", () => /*#__PURE__*/React.createElement(RedBoxPopup, {
  position: TOP_RIGHT,
  offsets: ["-30px", "-30px"],
  defaultOpen: true,
  closeOnBlur: false
}), paramsBuilder().canvasLayout({
  marginTop: "150px"
}).build());
stories().add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(RedBoxPopup, {
  className: "border-red mr5",
  closeOnBlur: false
}), /*#__PURE__*/React.createElement(RedBoxPopup, {
  style: {
    border: "1px solid red"
  },
  closeOnBlur: false
})));