import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";

/* eslint max-len: 0 */
import { CalendarIcon, MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/inline")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const MALE = {
  key: "Male",
  text: "Male",
  value: "Male"
};
const FEMALE = {
  key: "Female",
  text: "Female",
  value: "Female"
};
const GENDERS = [MALE, FEMALE];
const GENDERS_WITH_AVATAR = [_objectSpread({}, MALE, {
  avatar: {
    src: "https://randomuser.me/api/portraits/men/14.jpg",
    alt: "Male"
  }
}), _objectSpread({}, FEMALE, {
  avatar: {
    src: "https://randomuser.me/api/portraits/women/14.jpg",
    alt: "Female"
  }
})];
const GENDERS_WITH_ICONS = [_objectSpread({}, MALE, {
  icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
}), _objectSpread({}, FEMALE, {
  icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
})];
const GENDERS_WITH_ICONS_RIGHT = [_objectSpread({}, MALE, {
  icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
  iconsPosition: "right"
}), _objectSpread({}, FEMALE, {
  icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
  iconsPosition: "right"
})];

function createInlineSelect(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "select gender",
    inline: true,
    options: options
  }, otherProps));
}

createInlineSelect.displayName = "createInlineSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createInlineSelect({
  className: "mr5"
}), createInlineSelect({
  defaultOpen: true
}))).add("selected value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createInlineSelect({
  defaultValue: "Female",
  className: "mr5"
}), createInlineSelect({
  defaultValue: "Female",
  defaultOpen: true
}))).add("in a block", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, /*#__PURE__*/React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus.")), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  defaultOpen: true
}), "elementum viverra maximus.")))).add("disabled", () => createInlineSelect({
  disabled: true
})).add("error", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createInlineSelect({
  error: true,
  className: "mr5"
}), createInlineSelect({
  error: true,
  defaultOpen: true
}))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
}), "elementum viverra maximus."))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum et lacus at euismod ", createInlineSelect(), "elementum viverra maximus."))).add("item avatar", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_AVATAR,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."))).add("item icons", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_ICONS
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_ICONS,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", createInlineSelect({
  options: GENDERS_WITH_ICONS_RIGHT,
  defaultValue: "Female"
}), " euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_ICONS
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_ICONS,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", createInlineSelect({
  options: GENDERS_WITH_ICONS_RIGHT,
  defaultValue: "Female"
}), " euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_ICONS
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_ICONS,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", createInlineSelect({
  options: GENDERS_WITH_ICONS_RIGHT,
  defaultValue: "Female"
}), " euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lorem ipsum dolor sit ", createInlineSelect({
  options: GENDERS_WITH_ICONS
}), ", consectetur adipiscing elit ", createInlineSelect({
  options: GENDERS_WITH_ICONS,
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", createInlineSelect({
  options: GENDERS_WITH_ICONS_RIGHT,
  defaultValue: "Female"
}), " euismod elementum viverra maximus.")));