import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { CalendarIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/item")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

function createMale(props = {}) {
  return _objectSpread({
    key: "Male",
    text: "Male",
    value: "Male"
  }, props);
}

function createFemale(props = {}) {
  return _objectSpread({
    key: "Female",
    text: "Female",
    value: "Female"
  }, props);
}

const GENDERS = [createMale(), createFemale()];

function createSelect(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    options: options
  }, otherProps));
}

createSelect.displayName = "createSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  size: "large",
  open: true
})))).add("active", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    active: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    active: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  options: [createMale(), createFemale({
    active: true
  })],
  size: "large",
  open: true
})))).add("selected", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    selected: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    selected: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  options: [createMale(), createFemale({
    selected: true
  })],
  size: "large",
  open: true
})))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    disabled: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    disabled: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  options: [createMale(), createFemale({
    disabled: true
  })],
  size: "large",
  open: true
})))).add("description", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    description: "To infinite and beyond!"
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    description: "To infinite and beyond!"
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  options: [createMale(), createFemale({
    description: "To infinite and beyond!"
  })],
  size: "large",
  open: true
})))).add("icons left", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  size: "small",
  open: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)]
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  open: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)]
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  size: "large",
  open: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)]
  })],
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    disabled: true
  })],
  defaultOpen: true
})))).add("icon right", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  size: "small",
  open: true,
  fluid: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "small",
  open: true,
  fluid: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    description: "To infinite and beyond!",
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "small",
  open: true,
  fluid: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  open: true,
  fluid: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  open: true,
  fluid: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    description: "To infinite and beyond!",
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  open: true,
  fluid: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale(), createFemale({
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  size: "large",
  open: true,
  fluid: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "large",
  open: true,
  fluid: true,
  className: "mr5"
}), createSelect({
  options: [createMale(), createFemale({
    description: "To infinite and beyond!",
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "large",
  fluid: true,
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  options: [createMale(), createFemale({
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right",
    disabled: true
  })],
  defaultOpen: true
})))).add("avatar", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale({
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), createFemale({
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  size: "small",
  open: true,
  className: "mr5"
}), createSelect({
  options: [createMale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    })
  }), createFemale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    })
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale({
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), createFemale({
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  open: true,
  className: "mr5"
}), createSelect({
  options: [createMale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    })
  }), createFemale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    })
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  options: [createMale({
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), createFemale({
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  size: "large",
  open: true,
  className: "mr5"
}), createSelect({
  options: [createMale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    })
  }), createFemale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    })
  })],
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  options: [createMale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }),
    disabled: true
  }), createFemale({
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }),
    disabled: true
  })],
  open: true
}))));