import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { CalendarIcon, MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/searchable")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const MALE = {
  key: "Male",
  text: "Male",
  value: "Male"
};
const FEMALE = {
  key: "Female",
  text: "Female",
  value: "Female"
};
const GENDERS = [MALE, FEMALE];

function createSearchableSelect(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "Gender",
    search: true,
    options: options
  }, otherProps));
}

createSearchableSelect.displayName = "createSearchableSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  className: "mr5"
}), createSearchableSelect({
  defaultOpen: true
}))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  className: "mr5",
  size: "small"
}), createSearchableSelect({
  defaultValue: "Male",
  className: "mr5",
  size: "small"
}), createSearchableSelect({
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  className: "mr5"
}), createSearchableSelect({
  defaultValue: "Male",
  className: "mr5"
}), createSearchableSelect({
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  className: "mr5",
  size: "large"
}), createSearchableSelect({
  defaultValue: "Male",
  className: "mr5",
  size: "large"
}), createSearchableSelect({
  size: "large",
  defaultOpen: true
})))).add("disabled", () => createSearchableSelect({
  className: "mr5",
  disabled: true
})).add("clearable", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  size: "small",
  className: "mr5"
}), createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  className: "mr5"
}), createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  defaultOpen: true
})))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  size: "small",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  size: "large",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
})))).add("item avatar", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  size: "small",
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  className: "mr5"
}), createSearchableSelect({
  size: "small",
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  size: "small",
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  defaultOpen: true,
  className: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  className: "mr5"
}), createSearchableSelect({
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  defaultOpen: true,
  className: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  size: "large",
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  className: "mr5"
}), createSearchableSelect({
  size: "large",
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  size: "large",
  options: [_objectSpread({}, MALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread({}, FEMALE, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  defaultOpen: true,
  className: "mr5"
})))).add("item icons", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  size: "small",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  className: "mr5"
}), createSearchableSelect({
  size: "small",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  size: "small",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  size: "small",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  defaultOpen: true,
  className: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  className: "mr5"
}), createSearchableSelect({
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  defaultOpen: true,
  className: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  size: "large",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  className: "mr5"
}), createSearchableSelect({
  size: "large",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  size: "large",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  defaultValue: "Female",
  className: "mr5"
}), createSearchableSelect({
  size: "large",
  options: [_objectSpread({}, MALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  }), _objectSpread({}, FEMALE, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  defaultOpen: true,
  className: "mr5"
}))));