import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { AddIcon } from "@react-components/icons";
import { Button } from "@react-components/button";
import { Input } from "@react-components/input";
import { Label } from "@react-components/label";
import { TextArea } from "@react-components/textarea";
import { Tooltip } from "@react-components/tooltip";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Tooltip")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%",
    paddingTop: "100px"
  }).build()).build();
}

function createTooltip(_ref = {}) {
  let {
    content = "Adds users to your feed"
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["content"]);

  return /*#__PURE__*/React.createElement(Tooltip, Object.assign({
    defaultOpen: true,
    content: content,
    trigger: /*#__PURE__*/React.createElement(Button, null, "Add")
  }, otherProps));
}

createTooltip.displayName = "createTooltip";
stories().add("default", () => createTooltip()).add("basic", () => createTooltip({
  basic: true
})).add("position", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, createTooltip({
  position: "top center"
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, createTooltip({
  position: "top left"
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, createTooltip({
  position: "top right"
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, createTooltip({
  position: "bottom center"
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, createTooltip({
  position: "bottom left"
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, createTooltip({
  position: "bottom right"
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "450px"
  }
}, createTooltip({
  position: "right center"
})), /*#__PURE__*/React.createElement("div", null, createTooltip({
  position: "left center"
}))))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  size: "mini"
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  size: "tiny"
})), /*#__PURE__*/React.createElement("div", null, createTooltip({
  size: "small"
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  size: "large"
})), /*#__PURE__*/React.createElement("div", null, createTooltip({
  size: "huge"
}))))).add("wide", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, createTooltip({
  wide: true,
  content: "This is a wide pop-up which allows for lots of content with additional space. You can fit a lot of words here and the paragraphs will be pretty wide."
})), /*#__PURE__*/React.createElement("div", null, createTooltip({
  wide: "very",
  content: "This is a wide pop-up which allows for lots of content with additional space. You can fit a lot of words here and the paragraphs will be pretty wide."
})))).add("inverted", () => createTooltip({
  inverted: true
})).add("flush", () => createTooltip({
  flush: true
})).add("disabled", () => createTooltip({
  disabled: true
})).add("triggers", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement(Button, {
    size: "tiny"
  }, "Add")
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement(Button, {
    size: "small"
  }, "Add")
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip()), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement(Button, {
    size: "large"
  }, "Add")
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    icon: /*#__PURE__*/React.createElement(AddIcon, null)
  })
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement(Label, null, "Add")
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement(Label, {
    circular: true
  }, "A")
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement("a", {
    href: "https://www.google.com"
  }, "Google")
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement("span", null, "Span")
})), /*#__PURE__*/React.createElement("div", null, createTooltip({
  trigger: /*#__PURE__*/React.createElement("div", null, "Div")
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  trigger: /*#__PURE__*/React.createElement(Input, null)
})), /*#__PURE__*/React.createElement("div", null, createTooltip({
  trigger: /*#__PURE__*/React.createElement(TextArea, null)
}))))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, createTooltip({
  className: "bg-red"
})), /*#__PURE__*/React.createElement("div", null, createTooltip({
  style: {
    backgroundColor: "red"
  }
}))));