import React from "react";
import { Tooltip } from "@react-components/tooltip";
import { createRef } from "react";
import { render, wait } from "@testing-library/react";

function createTooltip(props = {}) {
  return /*#__PURE__*/React.createElement(Tooltip, Object.assign({
    content: "Adds users to your feed",
    open: true,
    trigger: /*#__PURE__*/React.createElement("span", null, "Add")
  }, props));
}

createTooltip.displayName = "createTooltip";
// ***** Refs *****
test("ref is a DOM element", async () => {
  const ref = createRef();
  render(createTooltip({
    ref
  }));
  await wait();
  expect(ref.current).not.toBeNull();
  expect(ref.current instanceof HTMLElement).toBeTruthy();
  expect(ref.current.tagName).toBe("DIV");
});
test("when using a callback ref, ref is a DOM element", async () => {
  let refNode = null;
  render(createTooltip({
    ref: node => {
      refNode = node;
    }
  }));
  await wait();
  expect(refNode).not.toBeNull();
  expect(refNode instanceof HTMLElement).toBeTruthy();
  expect(refNode.tagName).toBe("DIV");
});